Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513986 - [v2v] CFME UI Infrastructure providers -> VMware is not showing all available VMware VMs.
Summary: [v2v] CFME UI Infrastructure providers -> VMware is not showing all available...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: cfme-future
Assignee: Adam Grare
QA Contact: Dave Johnson
URL:
Whiteboard: rhev:v2v
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 12:30 UTC by Nisim Simsolo
Modified: 2017-12-13 15:00 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-20 16:22:12 UTC
Category: Bug
Cloudforms Team: VMware


Attachments (Terms of Use)
CFME UI screenshot (deleted)
2017-11-16 12:33 UTC, Nisim Simsolo
no flags Details
VMware screenshot 1 (deleted)
2017-11-16 12:33 UTC, Nisim Simsolo
no flags Details
VMware screenshot 2 (deleted)
2017-11-16 12:34 UTC, Nisim Simsolo
no flags Details

Description Nisim Simsolo 2017-11-16 12:30:21 UTC
Description of problem:
When browsing CFME UI -> Compute -> infrastructure -> providers -> select VMware environment -> VMs, only 27 VMs are listed while there are actually 43 VMs in VMware environment.
For comparrison, when using RHV 4.1 import dialog, all 43 VMs are listed.

Example of VM names which are not listed in CFME:
centos44
rhel7_big_disk
test_v2v
win10_IDE
win_2016
etc..

Using RHV environment, all of these VMs are eligible for import.

Version-Release number of selected component (if applicable):
cfme-5.9.0.8-1.el7cf.x86_64
VMware 6.0.0 Build 2594327

How reproducible:
100%

Steps to Reproduce:
1. Browse CFME UI -> Compute -> infrastructure -> providers -> select VMware environment -> VMs, observe VMs listed
2. Browse RHV 4.1 Webadmin -> virtual machines tab -> import dialog -> select VMware provider and click "load" button, observe VMs listed.
3.

Actual results:
While RHV is showing 43 VMs available to import, CFME UI is showing only 27 VMs.

Expected results:
All available VMware VMs should be listed.

Additional info:
Screenshot attached

Comment 2 Nisim Simsolo 2017-11-16 12:33:12 UTC
Created attachment 1353448 [details]
CFME UI screenshot

Comment 3 Nisim Simsolo 2017-11-16 12:33:47 UTC
Created attachment 1353450 [details]
VMware screenshot 1

Comment 4 Nisim Simsolo 2017-11-16 12:34:10 UTC
Created attachment 1353451 [details]
VMware screenshot 2

Comment 5 Adam Grare 2017-11-16 18:04:07 UTC
Nisim when you click on Vms in the UI it doesn't show Templates.  Try going to Compute/Infrastructure/Virtual Machines and clicking on the provider under the 'All VMs & Templates' folder in the left hand side.

Comment 6 Nisim Simsolo 2017-11-20 16:09:28 UTC
You are correct, I can see them all under ompute/Infrastructure/Virtual Machines.
Another thing worth mentioning, using cfme-5.9.0.9-1.el7cf.x86_64 I can see all VMs under Compute/infrastructure/providers/VMware environment/VMs

Comment 7 Adam Grare 2017-11-20 16:22:12 UTC
Thanks Nisim, in that case I'm going to close this NOTABUG.  Please re-open if you feel this is incorrect.


Note You need to log in before you can comment on or make changes to this bug.